qgis crashes when using the "merge selected features" tool
Status: Closed

Priority: Low

Assignee: Marco Hugentobler

Category: Digitising

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 12402

Description

Hello,

tried to union the marked obejcts in a vector layer.

The function start and near 98% done, qgis crash.

When I reduce the amount of the marked objects, function show 100% is done, but when I will save the changes in the layer, qgis crash.

A screenshot is attached

History

#1 - 2010-01-04 01:04 AM - Giovanni Manghi

Can you please post a sample of the problematic data to try reproduce the problem locally? Thanks.

#2 - 2010-01-04 10:21 AM - Gerhard Spieles

Replying to [comment:1 lutra]:

Can you please post a sample of the problematic data to try reproduce the problem locally? Thanks.

zip file with datas is attached

#3 - 2010-01-05 12:30 AM - Giovanni Manghi

The terminal returns

ERROR 1: [[TopologyException]]: found non-noded intersection between 2.5578e+06 5.52369e+06, 2.5578e+06 5.52369e+06 and 2.5578e+06

5.52369e+06, 2.55779e+06 5.52369e+06 2.5578e+06 5.52369e+06

Segmentation fault

#4 - 2010-01-05 08:08 AM - Marco Hugentobler

- Status changed from Open to Closed

- Resolution set to fixed
Fixed in commit:a8ce63c2 (SVN r12674). QGIS now shows a message box if there was an error in the merge operation (instead of crashing).

#5 - 2010-01-09 03:25 AM - Giovanni Manghi

Thanks Marco.

I noticed that the "check geomtery validity" tool does not returns any topology error when used in the attached vector. This way the user has no clue why

the merge fails.

#6 - 2010-01-09 06:02 AM - Gerhard Spieles

Hello,

 Befor I opened this new ticket, i had first tested the attached vectorlayer also with ftools "check geometrie" and it was ok.

The problematic object in the layer seems to be nr 97 (97 in the dbf, field NR.)You can@t merge it with other objects.

Gerhard

Files

unionobjektsfail.jpg 127 KB 2010-01-03 Gerhard Spieles

vereinigungsshape.zip 91.3 KB 2010-01-04 Gerhard Spieles
